%global enable_tests 1
%global srcname upper-case-first

Name:           nodejs-%{srcname}
Version:        1.1.1
Release:        1%{?dist}
Summary:        Upper case the first character of a string
License:        MIT
URL:            https://github.com/blakeembrey/%{srcname}
Source0:        https://github.com/blakeembrey/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(upper-case)
BuildRequires:  npm(istanbul)
BuildRequires:  npm(mocha)
%endif


%description
Upper case the first character of a string. Also handles non-string entities, 
such as objects with a toString property, numbers and booleans. Empty values 
(null and undefined) will come out as an empty string.

%prep
%setup -q -n %{srcname}-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json upper-case-first.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
istanbul-js cover mocha -- -R spec
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Mon Jul 13 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.1.1-1
- updated to 1.1.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.1.0-1
- updated to 1.1.0

* Sun Nov 16 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.0.1-1
- Initial package
